Subject: Re: [RFC PATCH] Introduce git-hive

From: Casey Dahlin <[email-masked]>
Date: Sun, 5 Sep 2010 22:25:33 -0400

On Sun, Sep 05, 2010 at 09:48:06PM +0200, Giuseppe Bilotta wrote:
> Casey Dahlin wrote:
> > 
> > So now our two peers can see each other.
> > 
> > casey@host_a$ git hive show --branches
> > Nguyen Thai Ngoc Duy <[email-masked]>
> > master
> > for_casey
> > 
> > ---
> > 
> > nguyen@host_b$ git hive show --branches
> > Casey Dahlin <[email-masked]>
> > master
> > stable
> > v2.1
> > 
> > And we can exchange them
> > 
> > casey@host_a$ git hive fetch nguyen for_casey
> > casey@host_a$ git branch
> > * master
> > stable
> > for_casey
> > 
> > Note that the two arguments in fetch are a regex which searches through
> > user IDs and a branch name, which is why I can abbreviate to just "nguyen"
> > in all lower case.
> 
> I may be a little late into the discussion, but I must say I very much like the
> idea. I realize that this is mostly intended for local repo sharing (typically
> between coworkers), but I suspect the idea could be extended to more general
> distributed repository, ehrm, distribution.
> 
> The only thing I would object to, so far, is hive fetch bringing stuff
> directly into my local repository. I typically prefer content to remain
> fenced in its appropriate namespace (e.g. I have issues even with the way tags
> and notes are imported from remotes). For hives, it might be a better idea to
> have the hive-fetched branches plop into either refs/remotes or maybe even a
> new dedicated namespace like refs/hive/ ?

Plan is to kill hive-fetch in favor of a fetch helper so the ordinary git
retrieval commands may be used.

--CJD